Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class ENUMERATED

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--java.math.BigInteger
                  |
                  +--org.mozilla.jss.asn1.INTEGER
                        |
                        +--org.mozilla.jss.asn1.ENUMERATED

All Implemented Interfaces:
  ASN1Value, java.lang.Comparable, java.io.Serializable

public class ENUMERATED
extends INTEGER
implements ASN1Value

Represents an ASN.1 `ENUMERATED` value. This has the same interface as `INTEGER`

See Also:
  Serialized Form

Inner Class Summary
`static class` | `ENUMERATED.Template` A template for decoding ENUMERATED values from their BER encodings.

Inner classes inherited from class org.mozilla.jss.asn1.INTEGER
`INTEGER.Template`

Field Summary
`static Tag` | `TAG`

Fields inherited from class org.mozilla.jss.asn1.INTEGER
`encodedContents, FORM, templateInstance`

Fields inherited from class java.math.BigInteger
`bitCount, bitLength, bitsPerDigit, bnExpModThreshTable, digitsPerInt, digitsPerLong, firstNonzeroByteNum, firstNonzeroIntNum, intRadix, LONG_MASK, longRadix, lowestSetBit, mag, magnitude, MAX_CONSTANT, negConst, ONE, posConst, serialVersionUID, signum, SMALL_PRIME_PRODUCT, trailingZeroTable, TWO, ZERO, zeros`

Constructor Summary
`(package private)` | `ENUMERATED(byte[] valBytes)`
`` | `ENUMERATED(long val)` Creates a new ENUMERATED value from a long.

Method Summary
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`long` | `getValue()` Returns the value as a long.

Methods inherited from class org.mozilla.jss.asn1.INTEGER
`arraysEqual, encode, encode, encode, getContentLength, getEncodedContents, getHeader, getTemplate, main`

Methods inherited from class java.math.BigInteger
`, abs, add, add, addOne, and, andNot, bitCnt, bitCount, bitLen, bitLength, bitLength, clearBit, compareTo, compareTo, destructiveMulAdd, divide, divideAndRemainder, doubleValue, equals, firstNonzeroIntNum, flipBit, floatValue, gcd, getInt, getLowestSetBit, hashCode, intArrayCmp, intArrayCmpToLen, intLength, intValue, isProbablePrime, jacobiSymbol, javaIncrement, largePrime, leftShift, longValue, lucasLehmerSequence, magSerializedForm, makePositive, makePositive, max, min, mod, mod2, modInverse, modPow, modPow2, montReduce, mulAdd, multiply, multiplyToLen, negate, not, oddModPow, or, parseInt, passesLucasLehmer, passesMillerRabin, pow, primeToCertainty, primitiveLeftShift, primitiveRightShift, probablePrime, randomBits, readObject, remainder, setBit, shiftLeft, shiftRight, signBit, signInt, signum, smallPrime, square, squareToLen, stripLeadingZeroBytes, stripLeadingZeroInts, subN, subtract, subtract, testBit, toByteArray, toString, toString, trailingZeroCnt, trustedStripLeadingZeroInts, valueOf, valueOf, writeReplace, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### ENUMERATED

    public ENUMERATED(long val)

  Creates a new ENUMERATED value from a long.

### ENUMERATED

    ENUMERATED(byte[] valBytes)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `INTEGER`

### getValue

    public long getValue()

  Returns the value as a long.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD